using NUnit.Framework;
using FluentAssertions;

using Encompass;

namespace Tests
{
    public class EntityTests
    {
        [Test]
        public void Equals()
        {
            var worldBuilder = new WorldBuilder();
            var entity = worldBuilder.CreateEntity();
            var entityTwo = worldBuilder.CreateEntity();

            var copyEntity = entity;

            Assert.AreNotEqual(entity, entityTwo);
            Assert.AreEqual(entity, entity);
            Assert.IsTrue(entity == copyEntity);
        }
    }
}