using System;
using System.Runtime.Serialization;

namespace Encompass.Exceptions
{
    [Serializable]
    internal class NoComponentOfTypeException : Exception
    {
        public NoComponentOfTypeException()
        {
        }

        public NoComponentOfTypeException(string message) : base(message)
        {
        }

        public NoComponentOfTypeException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected NoComponentOfTypeException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}